summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2013-11-16 11:11:49 +0100
committer Robby Workman <rworkman@slackbuilds.org>2013-11-16 13:58:35 -0600
commitaf188a1d7f31a0b34c75523fe120e9fc876280f6 (patch)
tree1088350983983627d7d6b965c9b73d79ed455827 /system
parent3cf46ef321947d6e25141440108b3e5eb2cbf32f (diff)
downloadslackbuilds-af188a1d7f31a0b34c75523fe120e9fc876280f6.tar.gz
slackbuilds-af188a1d7f31a0b34c75523fe120e9fc876280f6.tar.xz
system/tdb-addition: Added (missing pieces from samba).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/tdb-addition/README4
-rw-r--r--system/tdb-addition/slack-desc19
-rw-r--r--system/tdb-addition/tdb-addition.SlackBuild80
-rw-r--r--system/tdb-addition/tdb-addition.info10
4 files changed, 113 insertions, 0 deletions
diff --git a/system/tdb-addition/README b/system/tdb-addition/README
new file mode 100644
index 0000000000..b8df091c4c
--- /dev/null
+++ b/system/tdb-addition/README
@@ -0,0 +1,4 @@
+This is a simple database API, similar to GDBM but allows
+simultaneous commits.
+This script packages the missing files in the samba Slackware
+package to have an usable tdb installation.
diff --git a/system/tdb-addition/slack-desc b/system/tdb-addition/slack-desc
new file mode 100644
index 0000000000..7a044752ad
--- /dev/null
+++ b/system/tdb-addition/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tdb-addition: tdb-addition (A Trivial Database - missing files)
+tdb-addition:
+tdb-addition: This is a simple database API, similar to GDBM but allows
+tdb-addition: simultaneous commits.
+tdb-addition: This script packages the missing files in the samba Slackware
+tdb-addition: package to have an usable tdb installation.
+tdb-addition:
+tdb-addition:
+tdb-addition:
+tdb-addition:
+tdb-addition:
diff --git a/system/tdb-addition/tdb-addition.SlackBuild b/system/tdb-addition/tdb-addition.SlackBuild
new file mode 100644
index 0000000000..766367e95e
--- /dev/null
+++ b/system/tdb-addition/tdb-addition.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for tdb-addition
+
+# Copyright 2013 Matteo Bernardini <ponce@slackbuilds.org>
+# Wrecked the tdb one Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tdb-addition
+VERSION=${VERSION:-1.2.12}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+SRCNAM=samba
+SRCVER=4.1.0
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCVER
+tar xvf $CWD/$SRCNAM-$SRCVER.tar.?z*
+
+# Install the missing header
+install -m 0644 -D $SRCNAM-$SRCVER/lib/tdb/include/tdb.h \
+ $PKG/usr/include/tdb.h
+
+# Add the missing library link
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX
+( cd $PKG/usr/lib$LIBDIRSUFFIX
+ ln -s libtdb.so.$VERSION libtdb.so )
+
+install -m 0644 -D $CWD/$PRGNAM.SlackBuild \
+ $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/tdb-addition/tdb-addition.info b/system/tdb-addition/tdb-addition.info
new file mode 100644
index 0000000000..db3c9f35e7
--- /dev/null
+++ b/system/tdb-addition/tdb-addition.info
@@ -0,0 +1,10 @@
+PRGNAM="tdb-addition"
+VERSION="1.2.12"
+HOMEPAGE="https://tdb.samba.org/index.html"
+DOWNLOAD="http://slackware.osuosl.org/slackware64-14.1/source/n/samba/samba-4.1.0.tar.xz"
+MD5SUM="17babe0f979011a603333cc3f5fc9d76"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"